Subject: Re: settimeofday doesn't work
From: [email-masked] (Geoffrey Noer)

26 Jan 1999 22:03:14 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Serguei DACHIAN <[email-masked]>
Cc: [email-masked]

On Tue, Jan 26, 1999, Serguei DACHIAN wrote:
> 
> I am trying to use "settimeofday" in my code on B20.1+Win98, but it returns
> "-1", doesn't alter sytem clock and subsequent call to perror prints the
> following on the stdout:
> 
> Error: Function not implemented
> 
> So, what the problem is???  Is settimeofday really "not implemented" under
> CygWin???  Will (and when) it be implemented???  Is there some alternative
> function I can call to modify sytem clock???

Yep, it hasn't been implemented yet:

/* settimeofday: BSD */
extern "C"
int
settimeofday (const struct timeval *, const struct timezone *)
{
  set_errno (ENOSYS);
  return -1;
}

If someone sends me a patch to implement this and an assignment form,
I'd be happy to apply it.  :-)

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".